#
# spec file for package ptpd (Version 1.0.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           ptpd
Summary:        Implements the Precision Time protocol as defined by IEEE 1588 standard
Version:        1.0.0
Release:        2
License:        BSD 3-Clause
Group:          System/Daemons
Source0:        %{name}-%{version}.tar.bz2
Source1:        conf.ptpd.init
Source2:        conf.sysconfig.ptpd
Patch0:         glibc210.patch
Patch1:         append_to_cflags.patch
Url:            http://ptpd.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The PTP daemon (PTPd) implements the Precision Time protocol (PTP) as
defined by the IEEE 1588 standard. PTP was developed to provide very
precise time coordination of LAN connected computers.

PTPd is a complete implementation of the IEEE 1588 specification for a
standard (non-boundary) clock. PTPd has been tested with and is known
to work properly with other IEEE 1588 implementations. The source code
for PTPd is freely available under a BSD-style license. Thanks to
contributions from users, PTPd is becoming an increasingly portable,
interoperable, and stable IEEE 1588 implementation.

PTPd can run on most 32-bit little- or big-endian processors. It does
not require an FPU, so it is great for embedded processors. PTPd
currently runs on Linux, uClinux, FreeBSD, and NetBSD. It should also
be easy to port to other platforms.

PTPd is free. Everyone is invited to use and contribute to PTPd.



Authors:
--------
    Kendall Correll

%prep
%setup -q
%patch0 -p1
%patch1 

%build
cd src
CFLAGS="$RPM_OPT_FLAGS" make

%install
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p ${RPM_BUILD_ROOT}/var/adm/fillup-templates
mkdir -p ${RPM_BUILD_ROOT}%{_defaultdocdir}/%{name}
install -m 755 src/ptpd $RPM_BUILD_ROOT%{_sbindir}/ptpd
#
# boot scripts
#
install -m 755 %{S:1} $RPM_BUILD_ROOT%{_initrddir}/ptpd
ln -s ../..%{_initrddir}/ptpd $RPM_BUILD_ROOT%{_sbindir}/rcptpd
#
# configuration
#
install -m 644 %{S:2} ${RPM_BUILD_ROOT}/var/adm/fillup-templates/sysconfig.ptpd
#
# documentation
#
cp -r README COPYRIGHT doc RELEASE_NOTES tools ${RPM_BUILD_ROOT}/%{_defaultdocdir}/%{name}/.

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%{_sbindir}/*
%{_initrddir}/*
/var/adm/fillup-templates/*
%{_defaultdocdir}/%{name}

%preun
%{stop_on_removal} ptpd

%post
%{fillup_only -n ptpd}

%postun
%restart_on_update ptpd
%{insserv_cleanup}

%changelog
* Fri Jun 12 2009 coolo@novell.com
- fix build with glibc 2.10
* Wed Nov 12 2008 dbahi@suse.de
- modified to use 1.0.0 release instead of rc
* Wed Nov 07 2007 dbahi@suse.de
- cleaned up init script and install process
* Fri Nov 02 2007 dbahi@suse.de
- patch makefile to allow env CFLAGS
- adjusted sysconfig to use %%fill_only
* Fri Nov 02 2007 dbahi@suse.de
- added system v init script and sysconfig file suitable
  for use with yast /etc/sysconfig editor
* Tue Oct 23 2007 dbahi@suse.de
- initial package creation
